Skip to main content
PATCH
/
snapchat
/
scheduled_posts
/
{post_id}
Update a Snapchat post
curl --request PATCH \
  --url https://scheduler.dashsocial.com/snapchat/scheduled_posts/{post_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "approval_requests": [
    {
      "requested_by_user_id": 123,
      "review_user_id": 123
    }
  ],
  "auto_publish": true,
  "board_ids": [
    1
  ],
  "brand_id": 1,
  "campaign_ids": [
    1
  ],
  "content_tag_ids": [
    1
  ],
  "description": "<string>",
  "duplicate_to_brand_ids": [
    1
  ],
  "media_ids": [
    1
  ],
  "post_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "rss_feed_id": 123,
  "rss_guid": "<string>",
  "rss_publish_date": "2023-11-07T05:31:56Z",
  "save_to_profile": true,
  "sort_index": 123,
  "timestamp": "2023-11-07T05:31:56Z"
}
'
{
  "code": 123,
  "errors": {},
  "message": "<string>",
  "status": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developer.dashsocial.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

post_id
integer
required

ID of the post to delete

Required range: x >= 0

Body

application/json
approval_policy
enum<string>

The approval policy of the approval request

Available options:
APPROVAL_REQUIRED,
APPROVAL_NOT_REQUIRED
approval_requests
object[]

The list of approval requests associated with the post.

auto_publish
boolean

Whether the post should be auto published.

board_ids
integer[]

The list of the board ids associated with the post.

Required range: x >= 0
brand_id
integer

The id of the brand to which the post belongs.

Required range: x >= 0
campaign_ids
integer[]

The list of the campaign ids associated with the post.

Required range: x >= 0
content_tag_ids
integer[]

The list of the content tag ids associated with the post.

Required range: x >= 0
creation_source
enum<string>

To identify the user or the application that created the post.

Available options:
RSS_FEED
description
string | null

Description for Spotlight posts (max 160 characters)

Maximum string length: 160
duplicate_to_brand_ids
integer[]
write-only

The list of duplicate to brand ids.

Maximum array length: 55
Required range: x >= 0
locale
enum<string> | null

Language and country indicator for Spotlight posts (e.g., en_US)

Available options:
ar_AA,
bn_BD,
bn_IN,
zh_CN,
zh_TW,
da_DK,
nl_NL,
en_GB,
en_US,
fil_PH,
fi_FI,
fr_FR,
de_DE,
el_GR,
gu_IN,
hi_IN,
id_ID,
it_IT,
ja_JP,
kn_IN,
ko_KR,
ms_MY,
ml_IN,
mr_IN,
nb_NO,
pl_PL,
pt_BR,
pt_PT,
pa_IN,
ro_RO,
ru_RU,
es_AR,
es_001,
es_MX,
es_ES,
sv_SE,
ta_IN,
te_IN,
th_TH,
tr_TR,
ur_PK,
vi_VN,
null
media_ids
integer[]

The list of the media ids attached to the post.

Required range: x >= 0
post_group_id
string<uuid>

The id of the post group associated with the post.

post_type
enum<string>

The type of Snapchat post (STORY or SPOTLIGHT)

Available options:
STORY,
SPOTLIGHT
rss_feed_id
integer | null

Foreign key reference to the RSS feed table.

rss_guid
string | null

The unique identifier coming from RSS Feed.

rss_publish_date
string<date-time> | null

The timestamp of when an RSS feed item was published

save_to_profile
boolean | null

Whether to save the post to profile. Required for Spotlight, None for Story

sort_index
number

The sorted index for unscheduled posts.

status
enum<string>

The current status of the post.

Available options:
AUTOPUBLISHING,
DRAFT,
EXPIRED,
FAILED,
IMPORTED,
MISSING_APPROVALS,
PARTIALLY_FAILED,
POSTED,
SCHEDULED,
SKIPPED,
USERS_NOTIFIED
timestamp
string<date-time> | null

The scheduled date & time for publishing the post.

Response

Unprocessable Entity

code
integer

Error code

errors
object

Errors

message
string

Error message

status
string

Error name